[CÓMO] Instalar Macromedia Shockwave Player sin usar wine cada vez

Imagen de Samy89
0 puntos

Hola, el presente tutorial tratará acerca de cómo instalar el Shockwave player de Macromedia de manera práctica y eficaz de modo que no tengamos que ejecutar wine cada vez que queramos usarlo. Esto servirá principalmente para jugar juegos online como lo son Isketch o Cyberjuegos. Todo lo que explico a continuación lo probé en Ubuntu Gutsy Gibbon en su versión de 32-bits y funciona sin problemas.

Nota: Es importante no confundir el Shockwave Player con el Flash Player. Sobre este último abundan los tutoriales de instalación en este y otros foros. El presente tutorial es para instalar el primero, el cual NO EXISTE oficialmente para Linux.

Primero que todo explicaré el método que utilizaremos. Lo que haremos será instalar el Internet Explorer mediante un Script que lo descargará directamente desde el innombrable. Luego, con el Explorer andando procederemos a instalar Shockwave.

Ok, ahora sí vamos al paso a paso.

Paso 1: Preparando la instalación

Para que el script funcione antes que todo debemos tener instalados los paquetes wine y cabextract. Estos se utilizarán solo para la instalación del Explorer y no será necesario ejecutarlos cada vez que usemos dicho navegador.

Para hacerlo, primero debemos activar el repositorio universe. Puedes descomentarlo en tu sources.list, o bien vas a

 Sistema > Administración > Orígenes del Software

Una vez allí, en la pestaña Software Ubuntu debes dejar marcada la casilla donde dice Software Libre mantenido por la comunidad (universe). Luego haz clic en cerrar, y después en recargar. Descargará la información de los repositorios y luego se cerrará la ventana.

Paso 2: Instalando lo necesario para el script

Este paso es bien sencillo, sólo es instalar instala wine y cabextract. Tenemos dos posibilidades:

a) De manera gráfica

 Sistema > Administración > Gestor de Paquetes Synaptic

Una vez allí haces un clic en cualquiera de los paquetes para que quede resaltado. Luego escribe wine y automáticamente quedará resaltado wine. Para seleccionarlo le das doble clic. Luego escribe cabextract, y de la misma manera le das doble clic para seleccionarlo. Si alguno te llega a pedir dependencias (cambios adicionales) debes hacer clic en aceptar. Luego, para instalar haces clic arriba en Aplicar. Y en la siguiente ventana también en Aplicar. Se descargarán e instalarán dichos paquetes.

b) Por un terminal

Pones el siguiente comando y sigues las instrucciones

sudo apt-get install wine cabextract

(¿Cuál les parece más fácil? :P Bueno, hay para todos los gustos pero yo me quedo con lo del terminal)

PASO 3: Descarga al Script

Puedes hacerlo desde ESTE LINK . Como ven, se llama IEs 4 Linux.

NOTA LEGAL: La instalación que hace el script es del Internet Explorer oficial de microsoft. Esto es completamente legal sólo si tienes una licencia de Microsoft Windows 95 o superior. Básicamente, el EULA del Explorer dice que para instalarlo debes tener una licencia de Windows, pero no que debes instalarlo en Windows, por lo que es legal hacerlo en Linux (no se ha modificado ninguna parte del código del Explorer para conseguir hacerlo correr en Linux)

PASO 4: Instalando con el Script

Abrimos un terminal y nos vamos al directorio donde quedó descargado el archivo comprimido, por ejemplo:

usuario@ubuntu:~$ cd Escritorio

Una vez allí descomprimimos el archivo con el comando:

tar zxvf ies4linux-latest.tar.gz

Luego nos movemos al directorio donde se descomprimió el archivo:

cd ies4linux-*

Una vez allí procederemos a ejecutar el script. tienes básicamente dos posibilidades:

 

a) Lo que te recomiendo es que hagas la instalación sin interfaz gráfica y por defecto que instalará Internet Explorer 6.0 junto con el Adobe Flash Player (el Shockwave no aún). Para eso, pon en el terminal el siguiente comando y sigue las instrucciones.

./ies4linux --no-gui

b) Ahora bien, si quieres una interfaz gráfica que te permita configurar manualmente algunas opciones como la versión de explorer a instalar o los plugins que traerá, puedes ejecutar el script sin el parámetro --no-gui .

./ies4linux

En mi caso al usar la interfaz gráfica el instalador se me caía, así que opté por usar el script con el parámetro --no-gui . Si tienes problemas con la interfaz gráfica, pero quieres instalarlo con otros parámetros, puedes ver las opciones con:

./ies4linux --help

Bueno, sea cual sea la opción que hayas elegido el instalador comenzará a descargar los archivos necesarios. Puedes ir a prepararte una taza de café pues tarda un par de minutos. Si te llega a dar algún error de archivo corrupto no te preocupes, sigue las instrucciones. Lo digo porque a mi me pasó y me dijo que iniciara el script de nuevo. Lo hice y se reanudó desde donde iba.

PASO 5: Instalando Shockwave.

Una vez que termine el instalador, puedes ir a tu carpeta personal. Si el idioma de tu sistema es Español, se habrá creado un directorio llamado Desktop donde se encuentra el vínculo para abrir el explorer (si fuera inglés hubiese quedado en tu escritorio). Ábrelo. Desde explorer accede a la siguiente página:

http://www.macromedia.com/shockwave/download/triggerpages_mmcom/default.html

Te saldrá una advertencia de seguridad y debes poner "Sí" (Obvio, ni modo que vayas a poner "No"). Luego comenzará a cargar la barrita en el sitio. Cuando termine, te pedirá seleccionar idioma. Luego de eso cargará un rato y ..... voilé!! Cuando veas "Installation Complete" ya tendrás instalado Shockwave y podrás disfrutar de esos malditos juegos (en el fondo, eso es lo único para lo que sirve explorer).

PASO 6: Últimos detalles

Bueno si te interesa tener un ícono para ejecutar el explorer desde tu escritorio, es tan simple como en un terminal poner

mv /home/usuario/Desktop/ies4linux* /home/usuario/Escritorio

Lógicamente debes reemplazar usuario por tu nombre de usuario.

Otra cosa que puede pasar es que al acceder al sitio para instalar el Shockwave, en vez de salirte esa ventana de la advertencia de seguridad te salga una para descargar un archivo. En ese caso selecciona abrir. Luego cargará un rato y podrás seleccionar el idioma. Después te saldrá algo como "Installation Succesful". No sé por qué pasa esto a veces, pero lo normal es que todo sea como lo dije en el tutorial.

 

 

Notas finales

Espero esta guía les haya sido útil, sobretodo a quienes no tenían el Shockwave o bien a quienes lo tenían corriendo bajo el Firefox de Windows con Wine y les andaba inestable. Creo que de más está decirles que el explorer deben usarlo SÓLO para cuando necesiten shockwave. Para todo lo demás está Firefox, IceWeaseal, o lo que deseen.

La información para este tutorial la recopilé principalmente del sitio oficial de IEs 4 Linux, donde hay una explicación bastante breve. Si quieres verlo, pueden hacer click aquí .

 

Saludos!

Imagen de RGthundRclap
+1
0
-1

Me surje la duda:

El Shokwave player lo utilizas como plugin en internet explorer no??  es por winde igual??

+1
0
-1
Imagen de guaxin
+1
0
-1

Yo uso kubuntu 8.04 y cuando tengo el ie6 instalado, y le doy a lo de shockwave me dice q mi so no lo soporta... alguna idea????

+1
0
-1
Imagen de catisark1
+1
0
-1

Hola, me pasa lo mismo que comenta guaxin, uso ubuntu 8.10...
Caxis en la exclisividad de windows

+1
0
-1
Imagen de pg1982
+1
0
-1

ja, buen tutorial, pero yo la verdad prefiero ni jugarlo, no uso ie pero ni en sueños.. jaja cree una cuenta habbo, pero cuando fui a ver que la unica manera es usando el nav de microfost ya abandone el barco...

+1
0
-1
Imagen de osmarg92
+1
0
-1

miren esta página es para solicitar mejoras en un producto, eligan shockwave y manden la petición que ellos leen

https://www.adobe.com/cfusion/mmform/index.cfm?name=wishform

+1
0
-1
Imagen de leorth
+1
0
-1

bueno esta ha sido la unica guia que me resulto para instalar el shockwave, muy rapido, muy sencillo, pero el asunto ahora es que a pesar de poder usar el explorer y shockwave, estos no funcionan del todo bien, las imagenes son entrecortadas y no se puede jugar bien, bueno me estoy quejando de lleno, pero si hay alguna solucion para esto agradecere alguna acotacion quizas actualizar algun pluggin, no lo se, gracias de antemano. Debo agregar q a pesar de esto las paginas cargan muy rapido, es solo problemas de imagen, salut

+1
0
-1
Imagen de krlitos
+1
0
-1

Krlitos

Hola, a todos, realmente me pierdo siguiendo estos pasos... soy principiante en linux (UBUNTU 9.10) y realmente se me complica esto de instalar el Shockwave... No se supone que debería ser más fácil todo en linux...??? He hecho una promesa de no volver a usar el Windows (al menos en mi casa) así que si no puedo jugar por no instalar el Shockwave, pues ni modo, no me queda de otra que dedicarme a estudiar y a trabajar... jajajaja.

Tal vez alguna vez deciden habilitar la versión para linux, sin tener que hacer tantas vueltas... espero que Lucid Lynx lo incorpore...

Si no, el no tenerlo no será razón para regresar al otro sistema operativo...

+1
0
-1

Krlitos

Imagen de Pabvloh
+1
0
-1

bueno cuando pongo el script ./ies4linux --no-gui, ya que descargo e instalo todo, me dice que mi wine es una version antigua, pero lo extraño es que cuando pongo sudo apt-get install wine cabextract, me sale que ya tengo la version mas nueva y que no es necesario actualizar, ademas de que el paso 1, no lo puedo hacer ya que en ubuntu 10.10 no me sale esa opcion de origenes de software, diganme como le puedo hacer

+1
0
-1
Imagen de nicopotus
+1
0
-1

Errores como el de pavloh, colocar el siguiente comando:

(como root)

cd /usr/bin

ln -s wineboot wineprefixcreate

Saludos!

+1
0
-1
Imagen de vadillín
+1
0
-1

Hola muy buenas , se que es un poco antiguo este post pero es que tengo un problemilla y acudo a vosotros porque ya me estoy volviendo casi loco, si no lo estoy ya.
Hice todos los pasos que se decian en el tutorial (muy bueno) ,creo que el internet explorer se instala, con algun que otro problemilla, pero se instala.
El problema llega cuando empieza a instalar el flash player que me da este error :

Instalando Flash Player 9
Extrayendo archivos
/home/*******/.ies4linux/downloads/swflash.cab: WARNING; file possibly truncated by 1729089 bytes.
/home/*******/.ies4linux/downloads/swflash.cab: no valid cabinets found
Se produjo un error al intentar extraer algunos archivos.

He buscado en un montón de sitios , pero no doy con la solución ni a tiros y tampoco quiero aventurarme a probar con otro hilo porque soy un poco nuevo (totalmente nuevo) y hasta ahora este me estaba dando muy buenos resultados.
Y solo eso por ahora, si alguien sabe de que se trata y se anima a comentar algo, le estaría mas que agradecido.
Salu2......

+1
0
-1
Imagen de Roberto Vila
+1
0
-1

alguien me podria decir como seguir estos pasos en ubuntu 11.04? No encuentro nada de lo que pide aqui, no se si soy yo que soy muy burro o si la nueva version no trae los mismos nombres.
por ejemplo:
Sistema > Administración > Orígenes del Software
esto no lo tengo :(

+1
0
-1
Imagen de teamcpc
+1
0
-1

Cuando introduzcas tu usuario y contraseña pon que quieres entrar como 'Ubuntu clásico' en vez de 'Ubuntu'

+1
0
-1